
import token

class TableGenerator:
    def __init__(self) -> None:
        self.__cols_map = {
            "de": {'': 'Thema ', 'A': " Erkennen", 'B': ' Verstehen', 'C': ' Anwenden', 'D' : ' Analysiseren', 'E' : ' Synthetisieren' }
        }

        self.__checkmark = "X"


    def generate_table(self,data,lang='de'):

        header = False
        for token in data.split(','):
            if not header:
                head_str = "| "  + " | ".join(self.__cols_map[lang].values()) + " |"

                print(head_str)

                ruler = ['-' * len(s) for s in self.__cols_map[lang].values()]
                ruler_str = "| " + " | ".join(ruler) + " |"

                print(ruler_str)

                header = True

            t = tuple(token.split(':')[:2])
      
            row = [t[0]]
            for k in self.__cols_map[lang].keys():
                if k in t[1]:
                    row.append(self.__checkmark)
                else:
                    row.append(' ')

            print(' | '.join(row))
                